%define version	1.4.14
%define release	%mkrel 4

%define apiver 1.0
%define scim_api 1.4.0
%define major 8
%define libname %mklibname %{name} %apiver %major
%define develname %mklibname -d %{name}
%define  gtk_binary_version  %(pkg-config --variable=gtk_binary_version gtk+-2.0)
%define  gtk3_binary_version  %(pkg-config --variable=gtk_binary_version gtk+-3.0)

Name:		scim
Summary:	Smart Common Input Method platform
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	LGPLv2+
URL:		http://www.scim-im.org
Source0:	http://downloads.sourceforge.net/scim/%{name}-%{version}.tar.xz
Source2:	scim-system-config
Source3:	scim.macros
Source99: 	scim-setup.desktop.in

Patch1:		scim-initial-locale-hotkey-20070922.patch
Patch2:		scim-1.4.14-automake-1.13.patch
Patch5:		scim-1.4.7-support-more-utf8-locales.patch
Patch6:		scim-1.4.14-build.patch
BuildRequires: pkgconfig(clutter-1.0)
BuildRequires: pkgconfig(clutter-imcontext-0.1)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.4.0
BuildRequires: pkgconfig(gthread-2.0) >= 2.0.0
BuildRequires: pkgconfig(gtk+-2.0) >= 2.4.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: pkgconfig(pango) >= 1.1.0
BuildRequires: pkgconfig(QtCore) >= 4.0
BuildRequires: pkgconfig(QtGui) >= 4.0
BuildRequires: intltool gettext-devel
BuildRequires: libltdl-devel atk
BuildRequires:  %{_lib}pcre0-devel
BuildRequires:  libpixman-devel
BuildRequires:  libxrender-devel
BuildRequires:  libx11-devel
BuildRequires:  libxau-devel
BuildRequires:  libxdmcp-devel
Requires:	%{name}-gtk = %version-%release
Requires:  	pango
Suggests:  	setime

%description
SCIM is a developing platform to significant reduce the difficulty of 
input method development. 

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog TODO
%dir %{_sysconfdir}/scim
%config(noreplace) %{_sysconfdir}/scim/*
%{_bindir}/scim
%{_bindir}/scim-setup
%{_bindir}/scim-config-agent
%{_bindir}/scim-im-agent
%{_libdir}/*.so.%{major}*
%{_libdir}/scim-1.0/scim-helper-launcher
%{_libdir}/scim-1.0/scim-helper-manager
%{_libdir}/scim-1.0/scim-launcher
%{_libdir}/scim-1.0/scim-panel-gtk
%{_libdir}/scim-1.0/%{scim_api}/Filter
%{_libdir}/scim-1.0/%{scim_api}/FrontEnd
%{_libdir}/scim-1.0/%{scim_api}/Helper
%{_libdir}/scim-1.0/%{scim_api}/SetupUI
%{_libdir}/scim-1.0/%{scim_api}/Config
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/socket.so
%{_libdir}/scim-1.0/%{scim_api}/IMEngine/rawcode.so
%{_datadir}/applications/scim-setup.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/control-center-2.0/capplets/scim-setup.desktop

#----------------------------------------------------------------------
%package gtk
Summary:        SCIM Gtk IM module
Group:          System/Internationalization
Requires(post):	gtk+2.0
Requires(postun): gtk+2.0

%description gtk
This package provides a GTK input method module for SCIM.

%post gtk
gtk-query-immodules-2.0 --update-cache

%postun gtk
gtk-query-immodules-2.0 --update-cache

%files gtk
%defattr(-,root,root,-)
%{_libdir}/gtk-2.0/%{gtk_binary_version}/immodules/im-scim.so

#----------------------------------------------------------------------
%package gtk3
Summary:        SCIM Gtk3 IM module
Group:          System/Internationalization
Requires(post): gtk+3.0
Requires(postun): gtk+3.0

%description gtk3
This package provides a GTK3 input method module for SCIM.

%post gtk3
gtk-query-immodules-3.0-%{__isa_bits} --update-cache

%postun gtk3
if [ $1 = 0 ]; then
gtk-query-immodules-3.0-%{__isa_bits} --update-cache
fi

%files gtk3
%{_libdir}/gtk-3.0/%{gtk3_binary_version}/immodules/im-scim.so

#----------------------------------------------------------------------
%package clutter
Summary:        SCIM clutter IM module
Group:          System/Internationalization
Requires(post): clutter-imcontext
Requires(postun): clutter-imcontext

%description clutter 
This package provides a clutter input method module for SCIM.

%post clutter
clutter-scan-immodules > %{_sysconfdir}/clutter-imcontext/clutter.immodules

%postun clutter
clutter-scan-immodules > %{_sysconfdir}/clutter-imcontext/clutter.immodules

%files clutter
%{_libdir}/clutter-imcontext/immodules/im-scim.so


#----------------------------------------------------------------------
%package qt4
Summary:        SCIM qt4 IM module
Group:          System/Internationalization

%description qt4
This package provides a qt4 input method module for SCIM.

%files qt4
%{qt4plugins}/inputmethods/im-scim.so


#----------------------------------------------------------------------
%package devel
Summary:	Headers of SCIM for development
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}


%description devel
Headers of %{name} for development.

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/scim-1.0/*.h
%{_includedir}/scim-1.0/gtk/*.h
%{_includedir}/scim-1.0/x11/scim_x11_utils.h
%{_sysconfdir}/rpm/macros.d/scim.macros

#----------------------------------------------------------------------

%prep
%setup -q 
%patch1 -p1
%patch2 -p0
%patch5 -p0
%patch6 -p1

# update icons
#cp -p scim-icons/icons/*.png data/icons
#cp -p scim-icons/pixmaps/*.png data/pixmaps

# update the config file
mv configs/config{,.orig} 
cp -p %{SOURCE2} configs/config

%build
#./bootstrap
%configure2_5x \
  --disable-static \
  --enable-ld-version-script \
  --with-gtk-version=2 \
  --disable-qt3-immodule

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
find %{buildroot} -name '*.la' | xargs rm 

# install scim.macros
install -D -m0644 %SOURCE3 %buildroot%{_sysconfdir}/rpm/macros.d/scim.macros

desktop-file-install --vendor="" \
  --remove-category="Applications" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# desktop file
install -D -m0644 %{SOURCE99} $RPM_BUILD_ROOT%{_datadir}/applications/scim-setup.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Tue Apr 15 2014 bb <bb> 1.4.14-4pclos2014
- rebuild against updated libs

* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 1.4.14-3pclos2013
- added scim-setup
- rebuild acc tomcat

* Fri Nov 08 2013 pinoc <vogtpet at gmail.com> 1.4.14-2pclos2013
- added post

* Wed Nov 06 2013 billybot <billybot> 1.4.14-1pclos2013
- update and build for new pcre
